---
features:
  secondary:
  - name: "Clean up stale environments"
    available_in: [core, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/ci/environments/#stop-an-environment'
    image_url: '/images/15_9/release-stop-unused-envs.png'
    reporter: cbalane
    stage: release
    categories:
    - Environment Management
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/19724'
    description: |
      You can now more easily stop and clean up stale environments in your projects. Using the [API](https://docs.gitlab.com/ee/api/environments.html#stop-stale-environments) or [UI](https://docs.gitlab.com/ee/ci/environments/#stop-an-environment-through-the-ui), you can stop all environments that have not been modified since a specified date, excluding protected environments. You can use this to manage the number of environments in your project and keep only the relevant environments in the project.
